/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
 

/**
 *
 * @author joaop
 */
import java.util.ArrayList;
import javax.swing.JButton;
import javax.swing.JPanel;
public class ImunizedButtonFormPanel extends javax.swing.JPanel {

    /**
     * Creates new form ImunizedButtonFormPanel
     */
    public ImunizedButtonFormPanel() {
        initComponents();
        navigationButtons = java.util.Arrays.asList(bFirst, bPrevious, bNext, bLast);
        searchCreateButtons = java.util.Arrays.asList(bSearch, bCreate);
        okCancelButtons = java.util.Arrays.asList(bOk, bCancel);
        deleteUpdateButtons = java.util.Arrays.asList(bDelete, bUpdate);
        controlButtons = java.util.Arrays.asList(bSearch, bCreate,  bDelete, bUpdate);
    }
    
    private java.util.List<javax.swing.JComponent> navigationButtons;
    private java.util.List<javax.swing.JComponent> searchCreateButtons;
    private java.util.List<javax.swing.JComponent> okCancelButtons;
    private java.util.List<javax.swing.JComponent> deleteUpdateButtons;
    private java.util.List<javax.swing.JComponent> controlButtons;

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        bSearch = new javax.swing.JButton();
        bCreate = new javax.swing.JButton();
        bUpdate = new javax.swing.JButton();
        bDelete = new javax.swing.JButton();
        bOk = new javax.swing.JButton();
        bCancel = new javax.swing.JButton();
        bFirst = new javax.swing.JButton();
        bPrevious = new javax.swing.JButton();
        bNext = new javax.swing.JButton();
        bLast = new javax.swing.JButton();

        bSearch.setIcon(new javax.swing.ImageIcon(getClass().getResource("magnifying-glass.png"))); // NOI18N
        add(bSearch);

        bCreate.setIcon(new javax.swing.ImageIcon(getClass().getResource("new.png"))); // NOI18N
        add(bCreate);

        bUpdate.setIcon(new javax.swing.ImageIcon(getClass().getResource("edit.png"))); // NOI18N
        add(bUpdate);

        bDelete.setIcon(new javax.swing.ImageIcon(getClass().getResource("delete.png"))); // NOI18N
        add(bDelete);

        bOk.setIcon(new javax.swing.ImageIcon(getClass().getResource("checked.png"))); // NOI18N
        add(bOk);

        bCancel.setIcon(new javax.swing.ImageIcon(getClass().getResource("multiply.png"))); // NOI18N
        add(bCancel);

        bFirst.setIcon(new javax.swing.ImageIcon(getClass().getResource("double-left-arrows-symbol.png"))); // NOI18N
        add(bFirst);

        bPrevious.setIcon(new javax.swing.ImageIcon(getClass().getResource("left-arrow.png"))); // NOI18N
        add(bPrevious);

        bNext.setIcon(new javax.swing.ImageIcon(getClass().getResource("right-arrow.png"))); // NOI18N
        add(bNext);

        bLast.setIcon(new javax.swing.ImageIcon(getClass().getResource("icons8-duplo-para-a-direita-64.png"))); // NOI18N
        add(bLast);
    }// </editor-fold>                        


    // Variables declaration - do not modify                     
    private javax.swing.JButton bCancel;
    private javax.swing.JButton bCreate;
    private javax.swing.JButton bDelete;
    private javax.swing.JButton bFirst;
    private javax.swing.JButton bLast;
    private javax.swing.JButton bNext;
    private javax.swing.JButton bOk;
    private javax.swing.JButton bPrevious;
    private javax.swing.JButton bSearch;
    private javax.swing.JButton bUpdate;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie bCancel*/
    public JButton getBCancel(){
        return this.bCancel;
    }//end method getBCancel

    /**SET Method Propertie bCancel*/
    public void setBCancel(JButton bCancel){
        this.bCancel = bCancel;
    }//end method setBCancel

    /**GET Method Propertie bCreate*/
    public JButton getBCreate(){
        return this.bCreate;
    }//end method getBCreate

    /**SET Method Propertie bCreate*/
    public void setBCreate(JButton bCreate){
        this.bCreate = bCreate;
    }//end method setBCreate

    /**GET Method Propertie bDelete*/
    public JButton getBDelete(){
        return this.bDelete;
    }//end method getBDelete

    /**SET Method Propertie bDelete*/
    public void setBDelete(JButton bDelete){
        this.bDelete = bDelete;
    }//end method setBDelete

    /**GET Method Propertie bFirst*/
    public JButton getBFirst(){
        return this.bFirst;
    }//end method getBFirst

    /**SET Method Propertie bFirst*/
    public void setBFirst(JButton bFirst){
        this.bFirst = bFirst;
    }//end method setBFirst

    /**GET Method Propertie bLast*/
    public JButton getBLast(){
        return this.bLast;
    }//end method getBLast

    /**SET Method Propertie bLast*/
    public void setBLast(JButton bLast){
        this.bLast = bLast;
    }//end method setBLast

    /**GET Method Propertie bNext*/
    public JButton getBNext(){
        return this.bNext;
    }//end method getBNext

    /**SET Method Propertie bNext*/
    public void setBNext(JButton bNext){
        this.bNext = bNext;
    }//end method setBNext

    /**GET Method Propertie bOk*/
    public JButton getBOk(){
        return this.bOk;
    }//end method getBOk

    /**SET Method Propertie bOk*/
    public void setBOk(JButton bOk){
        this.bOk = bOk;
    }//end method setBOk

    /**GET Method Propertie bPrevious*/
    public JButton getBPrevious(){
        return this.bPrevious;
    }//end method getBPrevious

    /**SET Method Propertie bPrevious*/
    public void setBPrevious(JButton bPrevious){
        this.bPrevious = bPrevious;
    }//end method setBPrevious

    /**GET Method Propertie bSearch*/
    public JButton getBSearch(){
        return this.bSearch;
    }//end method getBSearch

    /**SET Method Propertie bSearch*/
    public void setBSearch(JButton bSearch){
        this.bSearch = bSearch;
    }//end method setBSearch

    /**GET Method Propertie bUpdate*/
    public JButton getBUpdate(){
        return this.bUpdate;
    }//end method getBUpdate

    /**SET Method Propertie bUpdate*/
    public void setBUpdate(JButton bUpdate){
        this.bUpdate = bUpdate;
    }//end method setBUpdate

    //End GetterSetterExtension Source Code
//!

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie navigationButtons*/
    public java.util.List<javax.swing.JComponent> getNavigationButtons(){
        return this.navigationButtons;
    }//end method getNavigationButtons

    /**SET Method Propertie navigationButtons*/
    public void setNavigationButtons(java.util.List<javax.swing.JComponent> navigationButtons){
        this.navigationButtons = navigationButtons;
    }//end method setNavigationButtons

    /**GET Method Propertie searchCreateButtons*/
    public java.util.List<javax.swing.JComponent> getSearchCreateButtons(){
        return this.searchCreateButtons;
    }//end method getSearchCreateButtons

    /**SET Method Propertie searchCreateButtons*/
    public void setSearchCreateButtons(java.util.List<javax.swing.JComponent> searchCreateButtons){
        this.searchCreateButtons = searchCreateButtons;
    }//end method setSearchCreateButtons

    /**GET Method Propertie okCancelButtons*/
    public java.util.List<javax.swing.JComponent> getOkCancelButtons(){
        return this.okCancelButtons;
    }//end method getOkCancelButtons

    /**SET Method Propertie okCancelButtons*/
    public void setOkCancelButtons(java.util.List<javax.swing.JComponent> okCancelButtons){
        this.okCancelButtons = okCancelButtons;
    }//end method setOkCancelButtons

    /**GET Method Propertie deleteUpdateButtons*/
    public java.util.List<javax.swing.JComponent> getDeleteUpdateButtons(){
        return this.deleteUpdateButtons;
    }//end method getDeleteUpdateButtons

    /**SET Method Propertie deleteUpdateButtons*/
    public void setDeleteUpdateButtons(java.util.List<javax.swing.JComponent> deleteUpdateButtons){
        this.deleteUpdateButtons = deleteUpdateButtons;
    }//end method setDeleteUpdateButtons

    /**GET Method Propertie controlButtons*/
    public java.util.List<javax.swing.JComponent> getControlButtons(){
        return this.controlButtons;
    }//end method getControlButtons

    /**SET Method Propertie controlButtons*/
    public void setControlButtons(java.util.List<javax.swing.JComponent> controlButtons){
        this.controlButtons = controlButtons;
    }//end method setControlButtons

    //End GetterSetterExtension Source Code
//!
}
